Page MenuHomeFreeBSD

lang/go: relax module consistency checks if vendor/modules.txt is missing
ClosedPublic

Authored by dmgk on Mar 19 2020, 1:48 PM.

Details

Summary
Starting from go1.14, go verifes that vendor/modules.txt matches the requirements
and replacements listed in the main module go.mod file, and it is a hard failure if
vendor/modules.txt is missing.

Relax module consistency checks and switch back to pre go1.14 behaviour if
vendor/modules.txt is missing regardless of go version requirement in go.mod.

Bugzilla PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244783
Upstream PR: https://github.com/golang/go/issues/37948
Test Plan

poudriere testport: OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Mar 19 2020, 1:48 PM
dmgk added a comment.Mar 19 2020, 5:52 PM

It doesn't look like https://github.com/golang/go/issues/37948 is going to be accepted by the upstream, any objections to keeping this as a local lang/go patch?

yuri accepted this revision.Mar 19 2020, 5:58 PM
This revision is now accepted and ready to land.Mar 19 2020, 5:58 PM
mikael accepted this revision.Mar 19 2020, 6:33 PM
dmgk updated this revision to Diff 69691.Mar 19 2020, 8:35 PM

Enable relaxed checks only when GO_NO_VENDOR_CHECKS=1 is set in the environment
(by go.mk) - this should limit custom behaviour to port builds.

This revision now requires review to proceed.Mar 19 2020, 8:35 PM
dmgk added a reviewer: swills.Mar 19 2020, 8:36 PM
yuri accepted this revision.Mar 19 2020, 9:26 PM
mikael accepted this revision.Mar 20 2020, 12:31 PM
swills accepted this revision.Mar 27 2020, 5:28 PM

With the environment variable check, I'm OK with it. Approved.

This revision is now accepted and ready to land.Mar 27 2020, 5:28 PM
adamw added a subscriber: adamw.Mar 30 2020, 4:27 PM

Just, checking in, where are we at with this? I have some port updates blocking on this.

yuri added a comment.Mar 30 2020, 4:50 PM

It is waiting for a maintainer timeout.